summaryrefslogtreecommitdiffstats
path: root/SendGrid
diff options
context:
space:
mode:
authorBrandon West <brawest@gmail.com>2014-06-14 10:42:17 -0600
committerBrandon West <brawest@gmail.com>2014-06-14 10:42:17 -0600
commitedd0ace9e65e607f1a1f2610256415705c7dc361 (patch)
tree2b7dde5a1c05d1dba7fb339f43d7297c7e259585 /SendGrid
parent643dd1a1f0d4021d6c3f47db33b938b74862e96f (diff)
downloadsendgrid-csharp-edd0ace9e65e607f1a1f2610256415705c7dc361.zip
sendgrid-csharp-edd0ace9e65e607f1a1f2610256415705c7dc361.tar.gz
sendgrid-csharp-edd0ace9e65e607f1a1f2610256415705c7dc361.tar.bz2
add travis config and test run script
Diffstat (limited to 'SendGrid')
-rw-r--r--SendGrid/.ci/tests.sh13
-rw-r--r--SendGrid/.travis.yml15
2 files changed, 28 insertions, 0 deletions
diff --git a/SendGrid/.ci/tests.sh b/SendGrid/.ci/tests.sh
new file mode 100644
index 0000000..62e15d8
--- /dev/null
+++ b/SendGrid/.ci/tests.sh
@@ -0,0 +1,13 @@
+#!/bin/sh -x
+
+mono --runtime=v4.0 .nuget/NuGet.exe install NUnit.Runners -Version 2.6.1 -o packages
+
+runTest(){
+ mono --runtime=v4.0 packages/NUnit.Runners.2.6.1/tools/nunit-console.exe -noxml -nodots -labels -stoponerror $@
+ if [ $? -ne 0 ]
+ then
+ exit 1
+ fi
+}
+
+exit $?
diff --git a/SendGrid/.travis.yml b/SendGrid/.travis.yml
new file mode 100644
index 0000000..ce58ce1
--- /dev/null
+++ b/SendGrid/.travis.yml
@@ -0,0 +1,15 @@
+language: objective-c
+
+env:
+ global:
+ - EnableNuGetPackageRestore=true
+ matrix:
+ - MONO_VERSION="3.4.0"
+
+before_install:
+ - wget "http://download.xamarin.com/MonoFrameworkMDK/Macx86/MonoFramework-MDK-${MONO_VERSION}.macos10.xamarin.x86.pkg"
+ - sudo installer -pkg "MonoFramework-MDK-${MONO_VERSION}.macos10.xamarin.x86.pkg" -target /
+
+script:
+ - xbuild /p:Configuration=BuildNet40;build=true
+ - .ci/nunit.sh Tests/bin/BuildNet40/Tests.dll